// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItemComponent.hpp"

namespace Dawn {
  class SubSceneController : public SceneItemComponent {
    public:
      Scene *subScene = nullptr;
      bool_t onlyUpdateUnpaused = false;

      SubSceneController(SceneItem *item);

      void onStart() override;
  };
}